<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.dmp.rwd.digital.dao.ConnectedBlockSourceMapper">

    <resultMap id="BaseResultMap" type="com.persagy.dmp.digital.entity.ConnectedBlockSource">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="projectId" column="project_id" jdbcType="VARCHAR"/>
            <result property="blockId" column="block_id" jdbcType="VARCHAR"/>
            <result property="sourceId" column="source_id" jdbcType="VARCHAR"/>
            <result property="sourceType" column="source_type" jdbcType="VARCHAR"/>
            <result property="mepSystemType" column="mep_system_type" jdbcType="VARCHAR"/>
            <result property="domain" column="domain" jdbcType="VARCHAR"/>
            <result property="buildingId" column="building_id" jdbcType="VARCHAR"/>
            <result property="sourceFlag" column="source_flag" jdbcType="TINYINT"/>
            <result property="creator" column="creator" jdbcType="VARCHAR"/>
            <result property="creationTime" column="creation_time" jdbcType="CHAR"/>
            <result property="modifier" column="modifier" jdbcType="VARCHAR"/>
            <result property="modifiedTime" column="modified_time" jdbcType="CHAR"/>
            <result property="valid" column="valid" jdbcType="TINYINT"/>
            <result property="ts" column="ts" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,project_id,block_id,
        source_id,source_type,mep_system_type,
        domain,building_id,source_flag,
        creator,creation_time,modifier,
        modified_time,valid,ts
    </sql>
</mapper>
